%define upstream_name jdcal

Name:       python-%{upstream_name}
Version:    1.4.1
Release:    %mkrel 7
Summary:    Julian dates from proleptic Gregorian and Julian calendars
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/jdcal/
Source0:    https://files.pythonhosted.org/packages/7b/b0/fa20fce23e9c3b55b640e629cb5edf32a85e6af3cf7af599940eb0c753fe/%{upstream_name}-%{version}.tar.gz
BuildArch:  noarch

%description
This module contains functions for converting between Julian dates and calendar
dates.

%package -n     python3-%{upstream_name}
Summary:        A Python library to read/write Excel 2010 xlsx/xlsm files
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
This module contains functions for converting between Julian dates and calendar
dates.

%prep
%autosetup -n %{upstream_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jdcal

%files -n python3-%{upstream_name} -f %{pyproject_files}


%changelog
* Tue Dec 12 2023 papoteur <papoteur> 1.4.1-7.mga10
+ Revision: 2017614
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.4.1-6.mga9
+ Revision: 1823661
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 1.4.1-5.mga9
+ Revision: 1784145
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.4.1-4.mga9
+ Revision: 1732367
- Rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.4.1-3.mga8
+ Revision: 1608280
- rebuild for removing pythonegg buildrequires in srpm
- rebuild for removing pythonegg buildrequires in srpm

* Sat Apr 18 2020 guillomovitch <guillomovitch> 1.4.1-1.mga8
+ Revision: 1569111
- imported package python-jdcal

